<?
include_once 'sys/inc/start.php';
include_once 'sys/inc/compress.php';
include_once 'sys/inc/sess.php';
include_once 'sys/inc/home.php';
include_once 'sys/inc/settings.php';
include_once 'sys/inc/db_connect.php';
include_once 'sys/inc/ipua.php';
include_once 'sys/inc/fnc.php';
include_once 'sys/inc/user.php';
$time = time() - $user['date_reg'];
if(!isset($_GET['id']))exit("Не верная ссылка");
$uid=intval($_GET['id']);

$res=mysql_query("SELECT balls,nick FROM user WHERE id='$uid';");
if(!$row=mysql_fetch_assoc($res))exit("Пользователь с ID $uid не найден в базе данных!");

if ($time > 86400)
{
	//Обработка формы----
	if(isset($_POST['give']))
	{
	$give=intval($_POST['balls']);
	if($give<0)$give=$give*(-1);
	if($give>$user['balls'])exit("У вас нет <b>$give</b> баллов.");
	
	mysql_query("UPDATE user SET balls=balls-$give WHERE id='".$user['id']."';");
	mysql_query("UPDATE user SET balls=balls+$give WHERE id='".$uid."';");
	$msgrat="[b]$user[nick][/b] подарил вам $give баллов.";
	mysql_query("INSERT INTO `jurnal` (`id_user`, `id_kont`, `msg`, `time`) values('0', '$uid', '$msgrat', '".time()."')");

	header("Location: info.php?id=".$uid);
	exit;
	}
	//-------------------
}


include_once 'sys/inc/thead.php';
title();
err();
aut();

if ($time < 86400)
{
print 'Вы провели на сайте менее суток!';
}else{
?>
<form method="post" >
Вы имеете <b><?=$user['balls'];?></b> баллов<br />
Передать пользователю <b><?=$row['nick'];?></b> <input type="text" name="balls" value="" size="3" /> баллов  
<input type="submit" value="ok" name="give" />
</form>
<?
}


include_once 'sys/inc/tfoot.php';
?>